curl --request GET \
--url https://api.orchestrasolutions.com/PaymentGatewayAccounts/{name} \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.orchestrasolutions.com/PaymentGatewayAccounts/{name}"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.orchestrasolutions.com/PaymentGatewayAccounts/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"creationTime": "2023-11-07T05:31:56Z",
"paymentGatewayName": "<string>",
"credentials": [
{
"key": "<string>",
"value": "<string>"
}
]
}[
{
"fieldName": "<string>",
"errors": [
"<string>"
]
}
]Retrieve Payment Gateway Account
A Payment Gateway Account is the set of information necessary for connecting to a specific payment gateway through our system.
This method allows you to retrieve the information set on a particular payment gateway account. You can then update it using the [PUT] PaymentGatewayAccounts/{name} method
related
Gateway Accounts Guide
Authorizations
Please enter ApiKey into field
Path Parameters
A unique name of this Payment Gateway Account
^[A-Za-z0-9]{3,64}$Response
OK
Output Model for designating a payment gateway account
Name of account
Date and time the credentials were stored
Unique name of the Payment Gateway the account information relates to.
A list of key-value pairs that represents your credentials within the Payment gateway.
Each key should represent a parameter listed in the "CredentialsNames" element of the response from the list all payment gateways method at [GET] /paymentGateway
Example:
"Credentials": [
{
"Key": "PrivateKey",
"Value": "VBtt666M/G098098vgdewvk0Mc-GH"
}
]
Show child attributes
Show child attributes